FTGL: FTOutlineGlyph Class Reference

FTGL 2.4.0

Public Member Functions
FTOutlineGlyph Class Reference

FTOutlineGlyph is a specialisation of FTGlyph for creating outlines. More...

`#include <FTOutlineGlyph.h>`

Inheritance diagram for FTOutlineGlyph:
[legend]
Collaboration diagram for FTOutlineGlyph:
[legend]

## Public Member Functions
| FTOutlineGlyph (FT_GlyphSlot glyph, float outset, bool useDisplayList)
| Constructor.
virtual | ~FTOutlineGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.
Public Member Functions inherited from FTGlyph
virtual | ~FTGlyph ()
| Destructor.
virtual float | Advance () const
| Return the advance width for this glyph.
virtual const FTBBox & | BBox () const
| Return the bounding box for this glyph.
virtual FT_Error | Error () const
| Queries for errors.

## Additional Inherited Members
Protected Member Functions inherited from FTGlyph
| FTGlyph (FT_GlyphSlot glyph)
| Create a glyph.

## Detailed Description

FTOutlineGlyph is a specialisation of FTGlyph for creating outlines.

Definition at line 42 of file FTOutlineGlyph.h.

## Constructor & Destructor Documentation

## ◆ FTOutlineGlyph()

FTOutlineGlyph::FTOutlineGlyph | ( | FT_GlyphSlot | glyph,
|  | float | outset,
|  | bool | useDisplayList )

Constructor.

Sets the Error to Invalid_Outline if the glyphs isn't an outline.

Parameters

  glyph | The Freetype glyph to be processed
  outset | outset distance
  useDisplayList | Enable or disable the use of Display Lists for this glyph `true` turns ON display lists. `false` turns OFF display lists.

## ◆ ~FTOutlineGlyph()

virtual FTOutlineGlyph::~FTOutlineGlyph | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ Render()

virtual const FTPoint & FTOutlineGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode )
| virtual

Render this glyph at the current pen position.

Parameters

  pen | The current pen position.
  renderMode | Render mode to display

Returns
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTOutlineGlyph.h